# client.py

import time
from multiprocessing.managers import BaseManager
import traceback
import socket

remote_manager = BaseManager(address=('localhost', 5001),
                             authkey=b'my_server',
                             serializer='xmlrpclib')
remote_manager.register('items_buffer')
remote_buffer = None

while True:
    try:
        remote_buffer.put({'rubish': None})
        print('item sent')
    except (AttributeError, EOFError, IOError):
        traceback.print_exc()
        # do something else
        print('item not sent')
        try:
            remote_manager.connect()
        except socket.error:
            pass
        else:
            try:
                remote_buffer = remote_manager.items_buffer()
            except (AssertionError, socket.error):
                pass
            else:
                try:
                    remote_buffer.put('reconnection OK')
                    print('new items_buffer memory id:', id(remote_buffer))
                except:
                    print('no way')
                    traceback.print_exc()
                    
    
    # do other stuff
    print('doing other stuff')
    time.sleep(15)
